Subject: Re: FVWM: Color Problems

From: Olivier Chapuis <[email-masked]>
Date: Thu, 19 Dec 2002 06:10:42 +0100

On Tue, Dec 17, 2002 at 03:39:57PM -0500, Dan Espen wrote:
> Ben Sferrazza <[email-masked]> writes:
> > I've previously written about this problem, but I have yet to solve it. 
> >  I cannot get FVWM to properly display XPM pixmaps at their original 
> > color depth (they appear to be at most 8-bit).  I've tried running 
> > 2.4.13, 2.5.4, and 2.5.5, all on a Sun UltraSPARC Solaris 2.7 system.  I 
> > built FVWM with xpm-3.4k and libpng-1.2.5, and after running configure 
> > it's reported that xpm and png support was successfully included. 
> >  Running make and make install seem to go without a problem.  My system 
> > certainly supports 24-bit colordepth, as I have no problem viewing these 
> > XPM pixmaps with 'xv', and am able to view all PNGs with GIMP.  Am I 
> > overlooking something here?  Are not enough colors being allocated for 
> > fvwm, and if so, how can this be changed?  I should also mention that I 
> > am not even able to view any PNG icons with fvwm-2.5.x.  For instance, 
> > "Style xterm Icon dtterm.png" doesn't give me any icon, despite having 
> > the Imagepath pointing to the location of the png file.  Any help to 
> > resolve these issues is greatly appreciated.  thanks.
> 
> Looking thru the mail archive, the last thing I see is a request
> that you send the output of xdpyinfo and the PrintInfo colors
> fvwm command.
> 
> Most likely your display card supports both 8 and 24 bit visuals
> at the same time.  Fvwm is probably picking the 8 bit visual.
> 

I switch to the fvwm-workers.

It seems that these cards which support both 8 and 24 depth do not
have 2 hardwares cmaps, so the auto-detection I try to implement is
useless.  I think that if the default visual has depth 8 (and no fvwm
visual option is used), then we can try to see if there is a TrueColor
depth > 8 visual and if it is the case use this "best" visual.  Dan
what do you think?

Olivier 
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Thu, 19 Dec 2002 08:09:34 -0500

> depth > 8 visual and if it is the case use this "best" visual.  Dan

Sounds good to me.

Sun is making the default visual 8 because there are still a few
apps that won't work at anything but 8 bit.  I see no problem
with apps ignoring the default visual and using the best visual.

-- 
Dan Espen                           E-mail: [email-masked]